Bukkit JDynmapGriefPrevention 2.5.1

GriefPrevention Addon with Dynmap Support (if available)

  1. Yes, I saw that once with the original plugin but I did not manage it to get the heads shown on my external web server. Whatever I've tried I did not find the right path I need to enter in the configuration. If you use an external web server and can show me where I need to setup the path to the head images, would be nice.

    EDIT: so loading the player skins only happens if someone opens a claim popup as it seems. So this is ok, I guess.
     
    #61 jahangir13, Mar 2, 2015
    Last edited: Mar 4, 2015
  2. jahangir13 updated JDynmapGriefPrevention with a new update entry:

    Version 2.3 released

    Read the rest of this update entry...
     
  3. Thanks a lot, that's very welcome! I will have a look how that looks like tomorrow ;)
    For the config it's more important I guess, but also more text to translate. But if it would be translated I include it in the example config folder I have normally in the package. Or I will add links on the main page here. There is no real concept so far if options changes or if there are new options for new features, hm. Need to think about how to handle that.

    I guess need to install a specific japanese font to my DOS command prompt in Win7. Already had issues to see the german special characters and initially I thought I am doing something wrong, until I've realized that it's just the font I need to change there. Let's see ;)

    Edit: at least it works ingame out of the box. Nice.
     
    #64 jahangir13, Mar 9, 2015
    Last edited: Mar 9, 2015
    • Like Like x 1
  4. Anyone using v2.3 having issues with the language file(s) on Windows/Linux/Mac?
    If so, please send me a screenshot how that looks like via PM or to [email protected].

    Was working fine for me on my Windows test server. But uploaded to my Linux server it did not show console/chat colors correctly.
    I had a wrong setting with my ftp server when uploading the files. But even after changing this, colors did not show up (only 'strange' characters).
    So I've recognized that Eclipse per default uses the codepage of the underlying system for the file encoding. But after changing all setting to UTF-8, everything worked well on my Linux but not in Windows anymore.

    I hope I've found a solution now...but I would like to send a test jar file to someone having an issue with the colors bevor I upload this new version. Maybe nobody using the localization version recognized anything so far...but if so, please let me know !
     
  5. jahangir13 updated JDynmapGriefPrevention with a new update entry:

    Version 2.4 released

    Read the rest of this update entry...
     
    • Like Like x 1
  6. ;) No, they can only show their own claims (own and where they are trusted). I have no idea how it could be managed to disallow the dynmap layer for specific players or all. I mean all claims are on 1 layer (or 2). Everyone sees the same dynmap in the web browser.

    I know that there is some kind of IP registration (for web chat?) in dynmap.
    I am not sure if or how this could be related to a layer for a player where only the player can see this.
    I don't think that this can be customized from dynmap side to re-use this IP registration thing with anything else as for the purpose it is there.

    What might could be done is disabling the normal 1 or 2 layers completely and then only showing the player layer when the player requests this via command. But at this time others can see the content of the layer. If the time until it vanishes again is short, not many will see this.
    I will have a look.
     
    #68 jahangir13, Apr 16, 2015
    Last edited: Apr 16, 2015
  7. Please update to the latest version, thanks
     
  8. What do you mean? Which version? What is not working anymore?
     
  9. jahangir13 updated JDynmapGriefPrevention with a new update entry:

    Version 2.5 released

    Read the rest of this update entry...
     
  10. Sadly this no longer works with 1.8.8 :(
     
  11. v2.4 works perfectly in 1.8.8. Is a particular feature not working?
     
  12. There seems to be a conflict between this plugin and vault. As soon as I add this plugin, I get the below error with Vault. Removing the plugin, error goes away. I've also tested the latest version (0.80) of basic dynmap-GP plugin and it causes the same issue.

    [22:54:08 ERROR]: Could not load 'plugins\Vault.jar' in folder 'plugins'
    org.bukkit.plugin.InvalidPluginException: java.lang.IllegalArgumentException: Plugin already initialized!
    at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:135) ~[spigot-1.8.8.jar:git-Spigot-5f38d38-efd6cb0]
    at org.bukkit.plugin.SimplePluginManager.loadPlugin(SimplePluginManager.java:329) ~[spigot-1.8.8.jar:git-Spigot-5f38d38-efd6cb0]
    at org.bukkit.plugin.SimplePluginManager.loadPlugins(SimplePluginManager.java:251) [spigot-1.8.8.jar:git-Spigot-5f38d38-efd6cb0]
    at org.bukkit.craftbukkit.v1_8_R3.CraftServer.loadPlugins(CraftServer.java:292) [spigot-1.8.8.jar:git-Spigot-5f38d38-efd6cb0]
    at net.minecraft.server.v1_8_R3.DedicatedServer.init(DedicatedServer.java:198) [spigot-1.8.8.jar:git-Spigot-5f38d38-efd6cb0]
    at net.minecraft.server.v1_8_R3.MinecraftServer.run(MinecraftServer.java:525) [spigot-1.8.8.jar:git-Spigot-5f38d38-efd6cb0]
    at java.lang.Thread.run(Unknown Source) [?:1.8.0_60]
    Caused by: java.lang.IllegalArgumentException: Plugin already initialized!
    at org.bukkit.plugin.java.PluginClassLoader.initialize(PluginClassLoader.java:122) ~[spigot-1.8.8.jar:git-Spigot-5f38d38-efd6cb0]
    at org.bukkit.plugin.java.JavaPlugin.<init>(JavaPlugin.java:66) ~[spigot-1.8.8.jar:git-Spigot-5f38d38-efd6cb0]
    at net.milkbowl.vault.Vault.<init>(Vault.java:107) ~[?:?]
    at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method) ~[?:1.8.0_60]
    at sun.reflect.NativeConstructorAccessorImpl.newInstance(Unknown Source) ~[?:1.8.0_60]
    at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(Unknown Source) ~[?:1.8.0_60]
    at java.lang.reflect.Constructor.newInstance(Unknown Source) ~[?:1.8.0_60]
    at java.lang.Class.newInstance(Unknown Source) ~[?:1.8.0_60]
    at org.bukkit.plugin.java.PluginClassLoader.<init>(PluginClassLoader.java:76) ~[spigot-1.8.8.jar:git-Spigot-5f38d38-efd6cb0]
    at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:131) ~[spigot-1.8.8.jar:git-Spigot-5f38d38-efd6cb0]
    ... 6 more
    Caused by: java.lang.IllegalStateException: Initial initialization
    at org.bukkit.plugin.java.PluginClassLoader.initialize(PluginClassLoader.java:125) ~[spigot-1.8.8.jar:git-Spigot-5f38d38-efd6cb0]
    at org.bukkit.plugin.java.JavaPlugin.<init>(JavaPlugin.java:66) ~[spigot-1.8.8.jar:git-Spigot-5f38d38-efd6cb0]
    at com.onarandombox.MultiversePortals.MultiversePortals.<init>(MultiversePortals.java:60) ~[?:?]
    at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method) ~[?:1.8.0_60]
    at sun.reflect.NativeConstructorAccessorImpl.newInstance(Unknown Source) ~[?:1.8.0_60]
    at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(Unknown Source) ~[?:1.8.0_60]
    at java.lang.reflect.Constructor.newInstance(Unknown Source) ~[?:1.8.0_60]
    at java.lang.Class.newInstance(Unknown Source) ~[?:1.8.0_60]
    at org.bukkit.plugin.java.PluginClassLoader.<init>(PluginClassLoader.java:76) ~[spigot-1.8.8.jar:git-Spigot-5f38d38-efd6cb0]
    at org.bukkit.plugin.java.JavaPluginLoader.loadPlugin(JavaPluginLoader.java:131) ~[spigot-1.8.8.jar:git-Spigot-5f38d38-efd6cb0]
    ... 6 more
     
  13. Any download links kicking around for 2.4? I'd like to test if the conflict with vault is present in an older version.
     
  14. Download link is available in the Version History tab.
    But as I wrote in the PM I do not think that this is related to jdgp plugin. Please check if you do not have any plugins 2 times in your plugin folder (with different name/version). Send me the version numbers you use for Multiverse-Portals, Vault and JDGP.
    I found a lot of similar error posts in Google and they point to MV-Portals.
    I've checked my plugin and I do not accidentially instantiate a 2nd instance of the main class and I always use my own java package. Don't know what other cases could cause this.
    Are you sure that you did not only remove JDGP and it was working, maybe you did also remove MV-Portals at the same time?
     
  15. A quick test with the 2.4 version generated the same issue with Vault.

    I agree, I don't think it's an issue with your plugin. I've done some more testing with changing plugin versions (no, I don't have any plugins twice in my plugin folder, hehe) and it looks like the conflict is with MVP. I added a completely different plugin, nothing to do with yours, and it caused the same issue with Vault.

    If I remove MVP, both your plugin and the other 3rd party plugin launch correctly, no Vault errors.

    Thanks for the quick reply and pointing me at MVP :).
     
  16. You are welcome. And thanks for proving and posting that MV-Portals was causing the issue.
     
  17. Welcome :).

    Also of note, for any other interested parties, this wasn't the "normal" 2.5 version of MVP. I was running a slightly different version of MVP that had been tweaked to compliment World Edit 6.x. This "special" version (which is 23x larger that the normal one) is what was causing the errors.
     
  18. hi.
    i tried to show owners skin, then balloon doesnt look work fine.
    its shows like the pic i post.
    and i think we dont need full skin view. we only need tiny face icon like dynmap.
    fix this plz.
    oh and %cordx% doesnt work neither.

    [​IMG]
     

Share This Page